/*******************************************************************\
| ORB_omniORB_4.1.X.CC                                              |
\*******************************************************************/

#include "com_defs.h"
#include "orb_defs.h"
#include "thr_defs.h"

#include "shr_defs.h"
#include "all_defs.h"

//-------------------------------------------------------------------

// Do not use CORBA var classes as global variables, it causes
// problems with proper initialization and shutdown order.

CORBA::ORB_ptr                  pORB;

PortableServer::POA_ptr         pRootPOA;
PortableServer::POAManager_ptr	pRootPOAManager;

//-------------------------------------------------------------------

/*******************************************************************\
| ORBInitClient                                                     |
\*******************************************************************/

void ORBInitClient (int &iArgC, char *apArgV[])
{
  ORBEnvVar
  ORBExcTry
  {
    pORB = CORBA::ORB_init (iArgC, apArgV, "" ORBArgNext); ORBExcCheck
  }
  ORBExcCatch
  {
    DSPFatal ("ORB", "InitClient " << ORBExcShow)
  };
};

/*******************************************************************\
| ORBInitServer                                                     |
\*******************************************************************/

void ORBInitServer (int &iArgC, char *apArgV[])
{
  CORBA::Object_var vRootPOABase;

  ORBInitClient (iArgC, apArgV);

  ORBEnvVar
  ORBExcTry
  {
    vRootPOABase = pORB->resolve_initial_references ("RootPOA" ORBArgNext); ORBExcCheck
    pRootPOA = PortableServer::POA::_narrow (vRootPOABase.in ());

    pRootPOAManager = pRootPOA->the_POAManager (ORBArgOnly); ORBExcCheck
  }
  ORBExcCatch
  {
    DSPFatal ("ORB", "InitServer " << ORBExcShow)
  };
};

/*******************************************************************\
| ORBDoneClient                                                     |
\*******************************************************************/

void ORBDoneClient (void)
{
  ORBEnvVar
  ORBExcTry
  {
    pORB->destroy (ORBArgOnly); ORBExcCheck
  }
  ORBExcCatch
  {
    DSPFatal ("ORB", "DoneClient " << ORBExcShow)
  };
};

/*******************************************************************\
| ORBDoneServer                                                     |
\*******************************************************************/

void ORBDoneServer (void)
{
  ORBDoneClient ();
};

//-------------------------------------------------------------------

