/*******************************************************************\
| COM_VCPP.H                                                        |
+-------------------------------------------------------------------+
| The compiler support functions for Visual C++.                    |
+-------------------------------------------------------------------+
| Copyright (C) Petr Tuma <petr.tuma@mff.cuni.cz>                   |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

#include <stdio.h>
#include <assert.h>
#include <stdlib.h>

#if   defined DSPStreamsOLD
  #include <iostream.h>
#elif defined DSPStreamsNEW
  #include <iostream>
#endif

//-------------------------------------------------------------------

typedef unsigned char       uint8;
typedef unsigned long       uint32;
typedef unsigned __int64    uint64;

//-------------------------------------------------------------------

// Workaround for Visual C++ STDIO Library bug.

#if !defined snprintf
  #define snprintf _snprintf
#endif

//-------------------------------------------------------------------

// Workaround for Visual C++ Streams Library bug.

#if   defined DSPStreamsOLD
  ostream &operator << (ostream &oStream, uint64 iNumber);
#elif defined DSPStreamsNEW
  std::ostream &operator << (std::ostream &oStream, uint64 iNumber);
#endif

//-------------------------------------------------------------------
