/*******************************************************************\
| LOC_File.CC                                                       |
+-------------------------------------------------------------------+
| Server locator that uses files.                                   |
+-------------------------------------------------------------------+
| Copyright (C) Petr Tuma <petr.tuma@mff.cuni.cz>                   |
|               Adam Buble <adam.buble@mff.cuni.cz>                 |
\*******************************************************************/

#include "com_defs.h"
#include "orb_defs.h"
#include "thr_defs.h"

#include "shr_defs.h"
#include "all_defs.h"

//-------------------------------------------------------------------

#define LOC_MaxLineLen		1024

#define LOC_FileName		SAM_BenchmarkName ".IOR"

//-------------------------------------------------------------------

/*******************************************************************\
| LOCAnnounceServer                                                 |
\*******************************************************************/

void LOCAnnounceServer (Server_ptr pServer)
{
  CORBA::String_var vReference;
  FILE              *pFile;
  int               iDummy;

  ORBExcTry
  {
    vReference = pORB->object_to_string (pServer);
  }
  ORBExcCatch
  {
	DSPFatal ("LOC", "Locator " << ORBExcShow)
  };

  pFile = fopen (LOC_FileName, "w");
  assert (pFile);
  iDummy = fputs (vReference.in (), pFile);
  assert (iDummy >= 0);
  iDummy = fclose (pFile);
  assert (!iDummy);
};

/*******************************************************************\
| LOCLocateServer                                                   |
\*******************************************************************/

void LOCLocateServer (Server_out pServer)
{
  char               acReference [LOC_MaxLineLen];
  CORBA::String_var  vReference;
  CORBA::Object_var  vServerBase;
  FILE               *pFile;
  void               *pDummyPtr;
  int                iDummyInt;

  pFile = fopen (LOC_FileName, "r");
  assert (pFile);
  pDummyPtr = fgets (acReference, sizeof (acReference), pFile);
  assert (pDummyPtr);
  iDummyInt = fclose (pFile);
  assert (!iDummyInt);

  ORBExcTry
  {
    CORBA::Object_var vServerBase = pORB->string_to_object (acReference);
    pServer = Server::_narrow (vServerBase.in ());
  }
  ORBExcCatch
  { 
	DSPFatal ("LOC", "Locator " << ORBExcShow) 
  };
};

//-------------------------------------------------------------------
