/*******************************************************************\
| LOC_Naming_Service.CC                                             |
+-------------------------------------------------------------------+
| Server locator that uses naming service.                          |
+-------------------------------------------------------------------+
| Copyright (C) Petr Tuma <petr.tuma@mff.cuni.cz>                   |
|               Adam Buble <adam.buble@mff.cuni.cz>                 |
\*******************************************************************/

#include "com_defs.h"
#include "orb_defs.h"
#include "thr_defs.h"

#include "shr_defs.h"
#include "all_defs.h"

//-------------------------------------------------------------------

/*******************************************************************\
| LOCAnnounceServer                                                 |
\*******************************************************************/

void LOCAnnounceServer (Server_ptr pServer)
{
  CORBA::Object_var		vNamingBase;
  CosNaming::NamingContext_var	vNaming;
  CosNaming::Name_var		vName;

  ORBEnvVar
  ORBExcTry
  {
    vNamingBase = pORB->resolve_initial_references ("NameService" ORBArgNext); ORBExcCheck
    vNaming = CosNaming::NamingContext::_narrow (vNamingBase.in ());

    vName = new CosNaming::Name (1);
    vName->length (1);

    vName[(CORBA::ULong) 0].id = CORBA::string_dup (SAM_BenchmarkName);
    vName[(CORBA::ULong) 0].kind = CORBA::string_dup ("");
    vNaming->rebind (vName.in (), pServer ORBArgNext); ORBExcCheck
  }
  ORBExcCatch
  {
    DSPFatal ("LOC", "Naming " << ORBExcShow)
  };
};

/*******************************************************************\
| LOCLocateServer                                                   |
\*******************************************************************/

void LOCLocateServer (Server_out pServer)
{
  CORBA::Object_var		vServerBase;
  CORBA::Object_var		vNamingBase;
  CosNaming::NamingContext_var	vNaming;
  CosNaming::Name_var		vName;

  ORBEnvVar
  ORBExcTry
  {
    vNamingBase = pORB->resolve_initial_references ("NameService" ORBArgNext); ORBExcCheck
    vNaming = CosNaming::NamingContext::_narrow (vNamingBase.in ());

    vName = new CosNaming::Name (1);
    vName->length (1);
    vName[(CORBA::ULong) 0].id = CORBA::string_dup (SAM_BenchmarkName);
    vName[(CORBA::ULong) 0].kind = CORBA::string_dup ("");
    CORBA::Object_var vServerBase = vNaming->resolve (vName.in () ORBArgNext); ORBExcCheck
    pServer = Server::_narrow (vServerBase.in ());
  }
  ORBExcCatch
  {
    DSPFatal ("LOC", "Naming " << ORBExcShow)
  };
};

//-------------------------------------------------------------------
