/*******************************************************************\
| TIM_Windows_QPCounter.CC                                          |
+-------------------------------------------------------------------+
| The timer functions for Windows.                                  |
+-------------------------------------------------------------------+
| Copyright (C) Petr Tuma <petr.tuma@mff.cuni.cz>                   |
|               Adam Buble <adam.buble@mff.cuni.cz>                 |
\*******************************************************************/

#include "com_defs.h"
#include "orb_defs.h"
#include "thr_defs.h"

#include "shr_defs.h"
#include "all_defs.h"

#include <windows.h>

//-------------------------------------------------------------------

uint64 iTIMTimerScale       = 0;
uint64 iTIMTimerGranularity = 0;

//-------------------------------------------------------------------

/*******************************************************************\
| TIMInit                                                           |
\*******************************************************************/

void TIMInit (void)
{
  BOOL iDummyBool;

  // Get the divisor used with the high performance timer so that
  // we do not have to do it each time the time is measured. The
  // granularity is, hopefully, always 1.

  iTIMTimerGranularity = 1;

  iDummyBool = QueryPerformanceFrequency ((LARGE_INTEGER *) &iTIMTimerScale);
  assert (iDummyBool);
};

/*******************************************************************\
| TIMGetTimestamp                                                   |
\*******************************************************************/

uint64 TIMGetTimestamp (void)
{
  uint64    iResult;
  BOOL      iDummyBool;

  iDummyBool = QueryPerformanceCounter ((LARGE_INTEGER *) &iResult);
  assert (iDummyBool);

  return (iResult);
};

//-------------------------------------------------------------------
