/*******************************************************************\
| Server.CC (Marshal Types Single)                                  |
+-------------------------------------------------------------------+
| Copyright (C) Petr Tuma <petr.tuma@mff.cuni.cz>                   |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

#include "com_defs.h"
#include "orb_defs.h"
#include "thr_defs.h"

#include "shr_defs.h"
#include "all_defs.h"

#include "defs.h"

//-------------------------------------------------------------------

#if   defined BENDirectionIN
#elif defined BENDirectionOUT
#elif defined BENDirectionINOUT
#elif defined BENDirectionRETURN
  tPingArg xPingArg;
#else
  #error
#endif

//-------------------------------------------------------------------

/*******************************************************************\
| PingServant                                                       |
\*******************************************************************/

class PingServant : public POA_Ping
{
  public:

  #if   defined BENDirectionIN
    void Pong (tPingArg xArg ORBDclNext) ORBDclThrow;
  #elif defined BENDirectionOUT
    void Pong (tPingArg_out xArg ORBDclNext) ORBDclThrow;
  #elif defined BENDirectionINOUT
    void Pong (tPingArg &xArg ORBDclNext) ORBDclThrow;
  #elif defined BENDirectionRETURN
    tPingArg Pong (ORBDclOnly) ORBDclThrow;
  #else
    #error
  #endif
};

//-------------------------------------------------------------------

/*******************************************************************\
| PingServant::Pong                                                |
\*******************************************************************/

#if   defined BENDirectionIN
  void PingServant::Pong (tPingArg xArg ORBDclNext) ORBDclThrow { };
#elif defined BENDirectionOUT
  void PingServant::Pong (tPingArg_out xArg ORBDclNext) ORBDclThrow { };
#elif defined BENDirectionINOUT
  void PingServant::Pong (tPingArg &xArg ORBDclNext) ORBDclThrow { };
#elif defined BENDirectionRETURN
  tPingArg PingServant::Pong (ORBDclOnly) ORBDclThrow { return (xPingArg); };
#else
  #error
#endif

//-------------------------------------------------------------------

/*******************************************************************\
| BENGetName                                                        |
\*******************************************************************/

const char *BENGetName (void)
{
  return ("Marshal Types Single Server");
};

/*******************************************************************\
| BENServer                                                         |
\*******************************************************************/

CORBA::Object_ptr BENServer (
  int iArgC, char *apArgV [])
{
  PingServant           *pPingServant;
  CORBA::Object_ptr     pPingObject;

  // Parse the command line

  switch (iArgC)
  {
    case 1:
      break;
    default:
      DSPFatal ("BEN", "Usage: " << apArgV [0]);
  };

  // Execute the measurement

  ORBEnvVar
  ORBExcTry
  {
    pPingServant = new PingServant ();
    pPingObject = pPingServant->_this (ORBArgOnly); ORBExcCheck
  }
  ORBExcCatch
  {
    DSPFatal ("BEN", "Server " << ORBExcShow)
  };

  return (pPingObject);
};

//-------------------------------------------------------------------
