/*******************************************************************\
| ALL_Defs.H                                                        |
+-------------------------------------------------------------------+
| Definitions for all unique modules.                               |
+-------------------------------------------------------------------+
| Copyright (C) Petr Tuma <petr.tuma@mff.cuni.cz>                   |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

//-------------------------------------------------------------------

/*******************************************************************\
| Base Definitions                                                  |
\*******************************************************************/

// General constants

#define SAM_GlobalVersionMajor	1
#define SAM_GlobalVersionMinor	10
#define SAM_GlobalVersion       "post 1.10"
#define SAM_GlobalDate          "post 04/02/02"

#define SAM_BenchmarkName       "Xampler"

// Test constants

#define SAM_TestSamples         5

#define SAM_MaxItems            100000
#define SAM_MaxOctets           100000
#define SAM_MaxThreads          100
#define SAM_MaxInstances        100000

// MEA_WarmUpTimeMin    Minimum time to spend in warm up
// MEA_WarmUpTimeMax    Maximum time to spend in warm up
// MEA_RawCycles        Cycles to spend in raw measurements
// MEA_SoloCycles       Cycles to spend in solo measurements
// MEA_UsageCycles      Cycles to spend in usage measurements
// MEA_SharedTime       Time to spend in shared measurements

#define MEA_WarmUpTimeMin       5
#define MEA_WarmUpTimeMax       20
#define MEA_RawCycles           10000
#define MEA_SoloCycles          5000
#define MEA_UsageCycles         60
#define MEA_SharedTime          60

//-------------------------------------------------------------------

