#--------------------------------------------------------------------
# To be included once at the beginning of the suite makefile
#--------------------------------------------------------------------

# The task of this makefile is to define all shared variables
# to be used in the later stages of compilation and to include
# the corresponding makefiles for platform, compiler and broker.

#--------------------------------------------------------------------

MAKE += --no-print-directory

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MAK_PLT_PATH := ../../../_Ported/LibPlatform
MAK_COM_PATH := ../../../_Ported/LibCompiler
MAK_ORB_PATH_BASE := ../../../_Broker/$(INI_ORB_BASE)
MAK_ORB_PATH_VERS := $(MAK_ORB_PATH_BASE)/$(INI_ORB_VERS)

MAK_INIT_COM := $(MAK_COM_PATH)/make_ini_$(INI_COM_BASE).inc
MAK_INIT_PLT := $(MAK_PLT_PATH)/make_ini_$(INI_PLT_BASE).inc
MAK_INIT_ORB := $(MAK_ORB_PATH_VERS)/make_ini.inc

MAK_MAKE_IDL := $(MAK_ORB_PATH_VERS)/make_idl.inc
MAK_MAKE_PAR := $(MAK_COM_PATH)/make_par_$(INI_COM_BASE).inc
MAK_MAKE_OBJ := $(MAK_COM_PATH)/make_obj_$(INI_COM_BASE).inc
MAK_MAKE_EXE := $(MAK_COM_PATH)/make_exe_$(INI_COM_BASE).inc

#--------------------------------------------------------------------
# Definitions of file lists to be used
#--------------------------------------------------------------------

IDL_DEFS :=
IDL_OBJC :=
IDL_OBJS :=

PAR_DEFS :=

SHR_DEFS :=
SHR_OBJC :=
SHR_OBJS :=

EXE_LIST :=
REM_LIST :=

#--------------------------------------------------------------------
# Definitions of variables to be tweaked
#--------------------------------------------------------------------

ID_DEFS =

PP_DEFS =

CC_DEFS =
CC_DIRS =

LD_DIRS =
LD_LIBS =

MAK_DIR =

#--------------------------------------------------------------------

ifdef RAW
CC_DEFS +=	DSPFormatRAW
else
CC_DEFS +=	DSPFormatTXT
endif

#--------------------------------------------------------------------
# Includes
#--------------------------------------------------------------------

include $(MAK_INIT_COM)
include $(MAK_INIT_PLT)
include $(MAK_INIT_ORB)

#--------------------------------------------------------------------

