#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

IDL_FROM := ../../../_Ampler/idl_main.idl
include	$(MAK_MAKE_IDL)
SHR_DEFS += $(NEW_DEFS)
SHR_OBJC += $(NEW_OBJC)
SHR_OBJS += $(NEW_OBJS)

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

IDL_DEFS +=	defs.h

SHR_DEFS +=	../../../all_defs.h ../../../shr_defs.h \
		com_defs.h orb_defs.h plt_defs.h thr_defs.h

SHR_OBJS +=	$(MAK_DIR)server srv_main mea_srvr

SHR_OBJC +=	$(MAK_DIR)client clt_main mea_clnt mea_srvr

ALL_OBJX :=	$(MEM_BASE) $(NET_BASE) $(PRO_BASE) \
		$(COM_BASE) $(LOC_BASE) $(PLT_BASE) \
		$(RND_BASE) $(THR_BASE) $(TIM_BASE) \
		$(ORB_BASE)

#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

EXE_FROM := $(SHR_OBJC) $(IDL_OBJC) $(ALL_OBJX)
EXE_INTO := $(MAK_DIR)Client
include $(MAK_MAKE_EXE)

EXE_FROM := $(SHR_OBJS) $(IDL_OBJS) $(ALL_OBJX)
EXE_INTO := $(MAK_DIR)Server
include $(MAK_MAKE_EXE)

#--------------------------------------------------------------------

OBJ_FROM := ../%.cc
OBJ_DEFS := $(SHR_DEFS) $(IDL_DEFS)
OBJ_INTO := $(MAK_DIR)%
include $(MAK_MAKE_OBJ)

OBJ_FROM := ../../../_Ampler/%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

OBJ_FROM := $(MAK_ORB_PATH_BASE)/orb_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

#--------------------------------------------------------------------

OBJ_FROM := ../../../_Ported/InfMemory/mem_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

OBJ_FROM := ../../../_Ported/InfNetwork/net_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

OBJ_FROM := ../../../_Ported/InfProcessor/pro_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

OBJ_FROM := ../../../_Ported/LibCompiler/com_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

OBJ_FROM := ../../../_Ported/LibLocator/loc_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

OBJ_FROM := ../../../_Ported/LibPlatform/plt_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

OBJ_FROM := ../../../_Ported/LibRandom/rnd_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

OBJ_FROM := ../../../_Ported/LibThread/thr_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

OBJ_FROM := ../../../_Ported/LibTimer/tim_%.cc
OBJ_DEFS := $(SHR_DEFS)
include $(MAK_MAKE_OBJ)

#--------------------------------------------------------------------

REM_LIST += com_defs.h plt_defs.h thr_defs.h

com_defs.h:	../../../_Ported/LibCompiler/$(COM_BASE).h
	$(call CP, $< $@)

plt_defs.h:	../../../_Ported/LibPlatform/$(PLT_BASE).h
	$(call CP, $< $@)

thr_defs.h:	../../../_Ported/LibThread/$(THR_BASE).h
	$(call CP, $< $@)

#--------------------------------------------------------------------

REM_LIST += orb_defs.h

orb_defs.h:	$(MAK_ORB_PATH_VERS)/orb_defs.h
	$(call CP, $< $@)

#--------------------------------------------------------------------
# Shared Targets
#--------------------------------------------------------------------

shared_all:	$(EXE_LIST)

shared_clean:
		-$(call RM, $(REM_LIST))

#--------------------------------------------------------------------

raw:
		@$(MAKE) "RAW=YES"

debug:
		@$(MAKE) "DEBUG=YES"

#--------------------------------------------------------------------

