/*******************************************************************\
| ActionStamp.java                                                  |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| ActionStamp                                                       |
\*******************************************************************/

public final class ActionStamp {

	/*
	 * Timestamp flags.
	 *
	 * ASF_Local		value of local clock returned
	 * ASF_Remote		value of remote clock returned
	 * ASF_Absolute		absolute clock value returned
	 */
	public static final int ASF_Local		= 1;
	public static final int ASF_Remote		= 2;
	public static final int ASF_Absolute	= 4;

	/*
	 * Stamp properties
	 */
	public String 	name;
	public int 		flags;


	public ActionStamp (String name, int flags) {
		this.name = name;
		this.flags = flags;
	} // ActionStamp (String, int)

} // public final class ActionStamp