/*******************************************************************\
| BenchClient.java                                                  |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.SystemException;


/*******************************************************************\
| BenchClient                                                       |
\*******************************************************************/

public final class BenchClient {

	/**
	 * The benchmark server. Provides reference to suite
	 * object and means for measuring server resource usage.
	 */
	public static Server benchServer = null;


	public static void main (String args []) {
		BenchBroker.initClient (args);

		try {
			/*
			 * Display benchmark header and timer configuration.
			 */
			BenchGlobal.displayHeader (
				SuiteClient.getName ());

			BenchGlobal.displayConfig (
				SysInformer.timTimerScale,
				SysInformer.timTimerGranularity);

			/*
			 * Locate benchmark server, get reference to suite
			 * server from it and execute the measurement.
			 */
			benchServer = PeerLocator.locateServer ();
			org.omg.CORBA.Object suiteServer = benchServer.Reference ();
			SuiteClient.run (suiteServer);

			benchServer.Terminate ();

		} catch (SystemException ex) {
			BenchGlobal.displayFatal ("CLT", "Main "+ ex.toString ());
		}

		BenchBroker.done (true);
	} // main (String [])

} // public final class BenchClient
