#--------------------------------------------------------------------
# Commands
#--------------------------------------------------------------------

JACORB_LOGKIT_LIB := $(wildcard $(JACORB_DIR)/lib/logkit-*.jar)
JACORB_AVALON_LIB := $(wildcard $(JACORB_DIR)/lib/avalon-framework-*.jar)
JACORB_CONCUR_LIB := $(wildcard $(JACORB_DIR)/lib/concurrent-*.jar)
JACORB_ANTLR_LIB := $(wildcard $(JACORB_DIR)/lib/antlr-*.jar)

#--------------------------------------------------------------------

ID      =	$(JR) -classpath $(JACORB_DIR)/lib/idl.jar:$(JACORB_LOGKIT_LIB) org.jacorb.idl.parser

JA	=	$(JAVA_HOME)/bin/jar

JC	=	$(JAVA_HOME)/bin/javac
JC_DIRS =	$(JACORB_DIR)/lib/jacorb.jar

JR	=	$(JAVA_HOME)/jre/bin/java
JR_DEFS =	-Djava.endorsed.dirs=$(JACORB_DIR)/lib
JR_DIRS =	$(JACORB_DIR)/lib/jacorb.jar:$(JACORB_LOGKIT_LIB):$(JACORB_AVALON_LIB):$(JACORB_CONCUR_LIB):$(JACORB_ANTLR_LIB)
JR_ORBC =	org.jacorb.orb.ORB
JR_ORBS =	org.jacorb.orb.ORBSingleton

CC_DEFS +=	DSPStreamsNEW
CC_DIRS =       $(JAVA_HOME)/include $(JAVA_HOME)/include/linux

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MEM_BASE :=	mem_linux_proc
NET_BASE :=	net_linux_proc
PRO_BASE :=	pro_linux_proc

COM_BASE :=	com_gcc
PLT_BASE :=	plt_linux_empty
THR_BASE :=	thr_posix_threads
TIM_BASE :=	tim_linux_hpt

#--------------------------------------------------------------------
# IDL Basic Type Mapping
#--------------------------------------------------------------------

IDL_Short	:= short org.omg.CORBA.ShortHolder
IDL_Long 	:= int org.omg.CORBA.IntHolder
IDL_LongLong	:= long org.omg.CORBA.LongHolder
IDL_UShort	:= short org.omg.CORBA.ShortHolder
IDL_ULong 	:= int org.omg.CORBA.IntHolder
IDL_ULongLong	:= long org.omg.CORBA.LongHolder
IDL_Float	:= float org.omg.CORBA.FloatHolder
IDL_Double	:= double org.omg.CORBA.DoubleHolder
IDL_Char	:= char org.omg.CORBA.CharHolder
IDL_WChar	:= char org.omg.CORBA.CharHolder
IDL_Boolean	:= boolean org.omg.CORBA.BooleanHolder
IDL_Octet	:= byte org.omg.CORBA.ByteHolder

#--------------------------------------------------------------------
