#--------------------------------------------------------------------
# Commands
#--------------------------------------------------------------------

OPENORB_BASE_LIB := $(wildcard $(OPENORB_DIR)/lib/openorb-*.jar)
OPENORB_TOOL_LIB := $(wildcard $(OPENORB_DIR)/lib/openorb_tools-*.jar)
OPENORB_XERC_LIB := $(wildcard $(OPENORB_DIR)/lib/xerces-*.jar)

#--------------------------------------------------------------------

ID	=	$(JR) -classpath $(OPENORB_BASE_LIB):$(OPENORB_TOOL_LIB):$(OPENORB_DIR)/lib/logkit.jar:$(OPENORB_DIR)/lib/avalon-framework.jar:$(OPENORB_DIR)/lib/xerces.jar \
		org.openorb.compiler.IdlCompiler

JA	=	$(JAVA_HOME)/bin/jar

JC	=	$(JAVA_HOME)/bin/javac
JC_DIRS =	$(OPENORB_BASE_LIB)

JR	=	$(JAVA_HOME)/jre/bin/java
JR_DIRS =	$(OPENORB_BASE_LIB):$(OPENORB_TOOL_LIB):$(OPENORB_XERC_LIB)
JR_ORBC =	org.openorb.CORBA.ORB
JR_ORBS =	org.openorb.CORBA.ORBSingleton

CC_DEFS +=	DSPStreamsNEW
CC_DIRS =       $(JAVA_HOME)/include $(JAVA_HOME)/include/linux

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MEM_BASE :=	mem_linux_proc
NET_BASE :=	net_linux_proc
PRO_BASE :=	pro_linux_proc

COM_BASE :=	com_gcc
PLT_BASE :=	plt_linux_empty
THR_BASE :=	thr_posix_threads
TIM_BASE :=	tim_linux_hpt

#--------------------------------------------------------------------
# IDL Basic Type Mapping
#--------------------------------------------------------------------

IDL_Short	:= short org.omg.CORBA.ShortHolder
IDL_Long 	:= int org.omg.CORBA.IntHolder
IDL_LongLong	:= long org.omg.CORBA.LongHolder
IDL_UShort	:= short org.omg.CORBA.ShortHolder
IDL_ULong 	:= int org.omg.CORBA.IntHolder
IDL_ULongLong	:= long org.omg.CORBA.LongHolder
IDL_Float	:= float org.omg.CORBA.FloatHolder
IDL_Double	:= double org.omg.CORBA.DoubleHolder
IDL_Char	:= char org.omg.CORBA.CharHolder
IDL_WChar	:= char org.omg.CORBA.CharHolder
IDL_Boolean	:= boolean org.omg.CORBA.BooleanHolder
IDL_Octet	:= byte org.omg.CORBA.ByteHolder

#--------------------------------------------------------------------
