#!/bin/bash
BSDIR=`dirname $0`

while [ "${1}" != "${1##-ORB*}" ]; do
    BPARM="$BPARM $1 $2"
    shift; shift
done

if [ $# -eq 4 ]; then
	THR_MIN=-Djampler.threads.min=$1
	THR_MAX=-Djampler.threads.max=$2
	THR_LIM=-Djampler.threads.limit=$3
	THR_SCL=-Djampler.threads.scale=$4
fi

if [ $# -ne 0 -a $# -ne 4 ]; then
	echo "Usage: @JR_FILE@ [ThreadsMin Max Limit Scale]"
	exit 1
fi

$JAVA_HOME/jre/bin/java \
	-Xmx512M \
	-classpath $BSDIR/Suite.jar:@JR_DIRS@ \
	-Djava.library.path=$BSDIR/.. \
	-Dorg.omg.CORBA.ORBClass=@JR_ORBC@ \
	-Dorg.omg.CORBA.ORBSingletonClass=@JR_ORBS@ \
	$THR_MIN $THR_MAX $THR_LIM $THR_SCL \
	-Djampler.argument.type=@JR_TYPE@ \
	-Djampler.argument.mode=@JR_MODE@ \
	@JR_DEFS@ \
	@JR_MAIN@ $BPARM @JR_ARGS@
