#!/bin/bash
BSDIR=`dirname $0`

while [ "${1}" != "${1##-ORB*}" ]; do
    BPARM="$BPARM $1 $2"
    shift; shift
done

if [ $# -eq 8 ]; then
	THR_MIN=-Djampler.threads.min=$5
	THR_MAX=-Djampler.threads.max=$6
	THR_LIM=-Djampler.threads.limit=$7
	THR_SCL=-Djampler.threads.scale=$8
fi

if [ $# -ge 4 ]; then
	INS_MIN=-Djampler.instances.min=$1
	INS_MAX=-Djampler.instances.max=$2
	INS_LIM=-Djampler.instances.limit=$3
	INS_SCL=-Djampler.instances.scale=$4
fi

if [ $# -ne 0 -a $# -ne 4 -a $# -ne 8 ]; then
	echo "Usage: @JR_FILE@ [InstancesMin Max Limit Scale [ThreadsMin Max Limit Scale]]"
	exit 1
fi

$JAVA_HOME/jre/bin/java \
	-Xmx512M \
	-classpath $BSDIR/Suite.jar:@JR_DIRS@ \
	-Djava.library.path=$BSDIR \
	-Dorg.omg.CORBA.ORBClass=@JR_ORBC@ \
	-Dorg.omg.CORBA.ORBSingletonClass=@JR_ORBS@ \
	$INS_MIN $INS_MAX $INS_LIM $INS_SCL \
	$THR_MIN $THR_MAX $THR_LIM $THR_SCL \
	@JR_DEFS@ \
	@JR_MAIN@ $BPARM @JR_ARGS@
