/*******************************************************************\
| PingServant.java (Concurrency Client Connections)                 |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.IntHolder;


/*******************************************************************\
| PingServant                                                       |
\*******************************************************************/

public final class PingServant extends PingPOA {

	public static int theClient			= 0;
	public static int maxClients		= 0;
	public static int nextClient		= 0;


	private static final Object numLock	= new Object ();

	public final void Pong (IntHolder iOne) {
		/*
		 * The @theClient variable will change one time. Locking would
		 * severely influence the tests though, which is why we
		 * just hope that the assignment will be atomic.
		 */
		iOne.value = theClient;
	} // Pong (IntHolder)


	public final void Register (IntHolder iClient, IntHolder iTotal) {
		synchronized (numLock) {
			nextClient++;
			if (nextClient > maxClients) {
				BenchGlobal.displayFatal ("BEN", "Server Too many clients connected!");
			}

			iClient.value = nextClient;
			iTotal.value = maxClients;

			/*
			 * The @theClient variable will change one time. Locking would
			 * severely influence the tests though, which is why we
			 * just hope that the assignment will be atomic.
			 */
			if (nextClient == maxClients) {
				theClient = 1 + (int) BenchGlobal.rand (maxClients);
			}
		}
	} // Register (IntHolder, IntHolder)


} // public final class PingServant

