/*******************************************************************\
| SuiteServer.java (Concurrency Client Connections)                 |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.UserException;
import org.omg.CORBA.SystemException;


/*******************************************************************\
| SuiteServer                                                       |
\*******************************************************************/

public final class SuiteServer {

	public static String getName () {
		return ("Concurrency Client Connections Server");
	} // getName ()


	public static org.omg.CORBA.Object create () {
		org.omg.CORBA.Object suiteServer = null;

		/*
		 * Create new servant, activate it and return reference
		 * to the suite server object.
		 */
		try {
			PingServant.maxClients = BenchGlobal.getIntProperty ("jampler.clients.max", -1);
			if (PingServant.maxClients == -1) {
				BenchGlobal.displayFatal ("BEN", "Server Number of clients not specified!");
			}

			PingServant pingServant = new PingServant ();
			suiteServer = BenchBroker.rootPOA.servant_to_reference (pingServant);

		} catch (SystemException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		} catch (UserException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		}

		return suiteServer;
	} // create (String [])

} // public final class SuiteServer
