/*******************************************************************\
| FactServant.java (Dispatch Servant Instances)                     |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.UserException;
import org.omg.CORBA.SystemException;


/*******************************************************************\
| FactServant                                                       |
\*******************************************************************/

public final class FactServant extends PingFactoryPOA {

	/**
	 * Creates a specified amount of ping servants and
	 * returns a sequence of references to them.
	 */
	public final Ping [] Create (int iLength) {
		Ping []	pingSequence = null;

		try {
			PingServant pingServant;
			pingSequence = new Ping [iLength];

			for (int count = 0; count < iLength; count++) {
				pingServant = new PingServant ();
				pingSequence [count] = PingHelper.narrow (
					BenchBroker.rootPOA.servant_to_reference (pingServant));
			}

		} catch (SystemException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		} catch (UserException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		}

		return pingSequence;
	} // Create (int)

} // public final class FactServant

