/*******************************************************************\
| SuiteServer.java (Dispatch Servant Lifecycle)                     |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.UserException;
import org.omg.CORBA.SystemException;


/*******************************************************************\
| SuiteServer                                                       |
\*******************************************************************/

public final class SuiteServer {

	public static String getName () {
		return ("Dispatch Servant Lifecycle Server");
	} // getName ()


	public static org.omg.CORBA.Object create () {
		org.omg.CORBA.Object suiteServer = null;

		/*
		 * Create new servant, activate it and return reference
		 * to the suite server object.
		 */
		try {
			FactServant factServant = new FactServant ();
			suiteServer = BenchBroker.rootPOA.servant_to_reference (factServant);

		} catch (SystemException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		} catch (UserException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		}

		return suiteServer;
	} // create (String [])

} // public final class SuiteServer
