/*******************************************************************\
| PingServant.java (Invocation Dynamic)                             |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.TCKind;
import org.omg.CORBA.ServerRequest;

import org.omg.PortableServer.POA;
import org.omg.PortableServer.DynamicImplementation;


/*******************************************************************\
| PingServant                                                       |
\*******************************************************************/

public final class PingServant
	extends org.omg.PortableServer.DynamicImplementation {

	private static String ids [] = { "IDL:Ping:1.0" };


	/**
	 * org.omg.PortableServer.Servant._all_interfaces ()
	 */
	public final String [] _all_interfaces (POA poa, byte [] objId) {
		return ids;
	} // _all_interfaces (POA, byte [])


	/**
	 * org.omg.PortableServer.DynamicImplementation.invoke ()
	 */
	public final void invoke (ServerRequest request) {
		/*
		 * Check method name.
		 */
		if (! request.operation ().equals ("Pong")) {
			throw new org.omg.CORBA.BAD_OPERATION ();
		}

		/*
		 * Return the timestamp.
		 *
		 * Note that calling arguments is mandated by the
		 * standard even when the function has none.
		 */
		org.omg.CORBA.NVList args = BenchBroker.theORB.create_list (0);
		request.arguments (args);

		org.omg.CORBA.Any result = BenchBroker.theORB.create_any ();
		result.type (
			BenchBroker.theORB.get_primitive_tc (TCKind.tk_ulonglong));
		result.insert_ulonglong (SysInformer.timGetTimestamp ());
		request.set_result (result);
	} // invoke (ServerRequest)

} // public final class PingServant

