/*******************************************************************\
| FactServant.java (Invocation Initial)                             |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.UserException;
import org.omg.CORBA.SystemException;


/*******************************************************************\
| FactServant                                                       |
\*******************************************************************/

public final class FactServant extends PingFactoryPOA {

	/**
	 * Creates a Ping servant instance.
	 */
	public final void CreateIndividual (PingHolder oPing) {

		try {
			PingServant pingServant = new PingServant ();
			oPing.value = PingHelper.narrow (
					BenchBroker.rootPOA.servant_to_reference (pingServant));

		} catch (SystemException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		} catch (UserException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		}
	} // CreateIndividual (PingHolder)


	/**
	 * Destroys a Ping servant instance.
	 */
	public final void DeleteIndividual (Ping oPing) {

		try {
			byte [] pingOID = BenchBroker.rootPOA.reference_to_id (oPing);
			BenchBroker.rootPOA.deactivate_object (pingOID);

		} catch (SystemException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		} catch (UserException ex) {
			BenchGlobal.displayFatal ("BEN", "Server "+ ex.toString ());
		}
	} // DeleteIndividual (Ping)

} // public final class FactServant

