/*******************************************************************\
| PingServant.java (Marshal Octet Sequence)                         |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| PingServant                                                       |
\*******************************************************************/

public final class PingServant extends PingPOA {

#ifdef BENDirectionIN

	/**
	 * void Pong (in tOctetSequence sSequence)
	 */
	public final void Pong (byte [] sSequence) {
		/* nop */
	} // Pong (byte [])

#elifdef BENDirectionOUT

	/**
	 * void Pong (out tOctetSequence sSequence)
	 */
	public final void Pong (int iLength, tOctetSequenceHolder sSequence) {
		sSequence.value = new byte [iLength];
	} // Pong (int, tOctetSequenceHolder)

#elifdef BENDirectionINOUT

	/**
	 * void Pong (inout tOctetSequence sSequence)
	 */
	public final void Pong (tOctetSequenceHolder sSequence) {
		/* nop */
	} // Pong (tOctetSequenceHolder)

#elifdef BENDirectionRETURN

	/**
	 * tOctetSequence Pong (in unsigned long iLength)
	 */
	public final byte [] Pong (int iLength) {
		return new byte [iLength];
	} // Pong (int)

#else
#	error Direction not defined!
#endif

} // public final class PingServant
