/*******************************************************************\
| SuiteAction.java (Marshal Octet Sequence)                         |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| SuiteAction                                                       |
\*******************************************************************/

public final class SuiteAction {

	/**
	 * Suite server object.
	 */
	public static Ping				pingServer;
	public static int				sequenceLength;


	private tOctetSequenceHolder	sequenceHolder;

	public SuiteAction () {
		sequenceHolder = new tOctetSequenceHolder ();
		sequenceHolder.value = new byte [sequenceLength];
	}


	/**
	 * Invokes a method on servant passing an octet
	 * sequence of various lenghts in various modes.
	 */
	public final void execute (long [] times) {

	#ifdef BENDirectionIN
		pingServer.Pong (sequenceHolder.value);

	#elifdef BENDirectionOUT
		pingServer.Pong (sequenceLength, sequenceHolder);
		sequenceHolder.value = null;

	#elifdef BENDirectionINOUT
		pingServer.Pong (sequenceHolder);

	#elifdef BENDirectionRETURN
		pingServer.Pong (sequenceLength);

	#else
	#	error Direction not defined!
	#endif
	} // execute ()

} // public final class SuiteAction
