#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

BEN_TYPE :=	short	long	longlong	\
		ushort	ulong	ulonglong	\
		float	double			\
		char	wchar			\
		boolean				\
		octet

suite_all:	$(addprefix suite_all_, $(BEN_TYPE))

suite_clean:	$(addprefix suite_clean_, $(BEN_TYPE))

suite_cleanall:	$(addprefix suite_cleanall_, $(BEN_TYPE))

#--------------------------------------------------------------------

suite_all_short:		; @$(MAKE) "SUI_TYPE=Short"	suite_all_type
suite_all_long:			; @$(MAKE) "SUI_TYPE=Long"	suite_all_type
suite_all_longlong:		; @$(MAKE) "SUI_TYPE=LongLong"	suite_all_type
suite_all_ushort:		; @$(MAKE) "SUI_TYPE=UShort"	suite_all_type
suite_all_ulong:		; @$(MAKE) "SUI_TYPE=ULong"	suite_all_type
suite_all_ulonglong:		; @$(MAKE) "SUI_TYPE=ULongLong"	suite_all_type
suite_all_float:		; @$(MAKE) "SUI_TYPE=Float"	suite_all_type
suite_all_double:		; @$(MAKE) "SUI_TYPE=Double"	suite_all_type
suite_all_char:			; @$(MAKE) "SUI_TYPE=Char"	suite_all_type
suite_all_wchar:		; @$(MAKE) "SUI_TYPE=WChar"	suite_all_type
suite_all_boolean:		; @$(MAKE) "SUI_TYPE=Boolean"	suite_all_type
suite_all_octet:		; @$(MAKE) "SUI_TYPE=Octet"	suite_all_type
                        	
suite_clean_short:		; @$(MAKE) "SUI_TYPE=Short"	suite_clean_type
suite_clean_long:		; @$(MAKE) "SUI_TYPE=Long"	suite_clean_type
suite_clean_longlong:		; @$(MAKE) "SUI_TYPE=LongLong"	suite_clean_type
suite_clean_ushort:		; @$(MAKE) "SUI_TYPE=UShort"	suite_clean_type
suite_clean_ulong:		; @$(MAKE) "SUI_TYPE=ULong"	suite_clean_type
suite_clean_ulonglong:		; @$(MAKE) "SUI_TYPE=ULongLong"	suite_clean_type
suite_clean_float:		; @$(MAKE) "SUI_TYPE=Float"	suite_clean_type
suite_clean_double:		; @$(MAKE) "SUI_TYPE=Double"	suite_clean_type
suite_clean_char:		; @$(MAKE) "SUI_TYPE=Char"	suite_clean_type
suite_clean_wchar:		; @$(MAKE) "SUI_TYPE=WChar"	suite_clean_type
suite_clean_boolean:		; @$(MAKE) "SUI_TYPE=Boolean"	suite_clean_type
suite_clean_octet:		; @$(MAKE) "SUI_TYPE=Octet"	suite_clean_type

suite_cleanall_short:		; @$(MAKE) "SUI_TYPE=Short"	suite_cleanall_type
suite_cleanall_long:		; @$(MAKE) "SUI_TYPE=Long"	suite_cleanall_type
suite_cleanall_longlong:	; @$(MAKE) "SUI_TYPE=LongLong"	suite_cleanall_type
suite_cleanall_ushort:		; @$(MAKE) "SUI_TYPE=UShort"	suite_cleanall_type
suite_cleanall_ulong:		; @$(MAKE) "SUI_TYPE=ULong"	suite_cleanall_type
suite_cleanall_ulonglong:	; @$(MAKE) "SUI_TYPE=ULongLong"	suite_cleanall_type
suite_cleanall_float:		; @$(MAKE) "SUI_TYPE=Float"	suite_cleanall_type
suite_cleanall_double:		; @$(MAKE) "SUI_TYPE=Double"	suite_cleanall_type
suite_cleanall_char:		; @$(MAKE) "SUI_TYPE=Char"	suite_cleanall_type
suite_cleanall_wchar:		; @$(MAKE) "SUI_TYPE=WChar"	suite_cleanall_type
suite_cleanall_boolean:		; @$(MAKE) "SUI_TYPE=Boolean"	suite_cleanall_type
suite_cleanall_octet:		; @$(MAKE) "SUI_TYPE=Octet"	suite_cleanall_type

#--------------------------------------------------------------------

suite_all_type:
	@$(MAKE) "SUI_DIRS=IN" suite_all_direction
	@$(MAKE) "SUI_DIRS=OUT" suite_all_direction
	@$(MAKE) "SUI_DIRS=INOUT" suite_all_direction
	@$(MAKE) "SUI_DIRS=RETURN" suite_all_direction

suite_clean_type:
	@$(MAKE) "SUI_DIRS=IN" suite_clean_direction
	@$(MAKE) "SUI_DIRS=OUT" suite_clean_direction
	@$(MAKE) "SUI_DIRS=INOUT" suite_clean_direction
	@$(MAKE) "SUI_DIRS=RETURN" suite_clean_direction

suite_cleanall_type:
	@$(MAKE) "SUI_DIRS=IN" suite_cleanall_direction
	@$(MAKE) "SUI_DIRS=OUT" suite_cleanall_direction
	@$(MAKE) "SUI_DIRS=INOUT" suite_cleanall_direction
	@$(MAKE) "SUI_DIRS=RETURN" suite_cleanall_direction

#--------------------------------------------------------------------

suite_all_direction:
	-$(call MD, $(SUI_TYPE)_$(SUI_DIRS))
	@$(MAKE) "MAK_DIR=$(SUI_TYPE)_$(SUI_DIRS)/" shared_all

suite_clean_direction:
	@$(MAKE) "MAK_DIR=$(SUI_TYPE)_$(SUI_DIRS)/" shared_clean

suite_cleanall_direction: suite_clean_direction
	@$(MAKE) "MAK_DIR=$(SUI_TYPE)_$(SUI_DIRS)/" shared_cleanall
	-$(call RD, $(SUI_TYPE)_$(SUI_DIRS))

#--------------------------------------------------------------------
# Suite Files
#--------------------------------------------------------------------

ALL_JAVA += ../SuiteClient ../SuiteServer
ALL_JAVA += $(MAK_DIR)PingServant $(MAK_DIR)SuiteAction 
REM_LIST += $(MAK_DIR)PingServant.java $(MAK_DIR)SuiteAction.java 

ARG_TYPE := $(strip $(word 1,$(IDL_$(SUI_TYPE))))
ARG_HOLD := $(strip $(word 2,$(IDL_$(SUI_TYPE))))

$(MAK_DIR)%.java: ../%.java
	$(JT_FSTR) $< BENDirection$(SUI_DIRS) > $@.tmp
	$(JT_FEXP) $@.tmp ARG_TYPE=$(ARG_TYPE) ARG_HOLD=$(ARG_HOLD) > $@
	$(call RM,$@.tmp)

#--------------------------------------------------------------------

PP_DEFS += BENDirection$(SUI_DIRS) BENType=$(SUI_TYPE)
ID_DEFS += BENDirection$(SUI_DIRS) BENType=$(SUI_TYPE)

IDL_INTO := $(MAK_DIR)Ping
IDL_JAVA := $(MAK_DIR)tPingArgHelper
IDL_FROM := ../../../../C++/_Suites/Marshal_Types_Single/ping.idl
include $(MAK_MAKE_IDL)
ALL_JAVA += $(NEW_JAVA)

#--------------------------------------------------------------------
